Bug 697260 - bug in fedora.client.fas2 : TypeError: bunchify() got an unexpected keyword argument 'username'
Summary: bug in fedora.client.fas2 : TypeError: bunchify() got an unexpected keyword a...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fedora
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Toshio Ernie Kuratomi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 10:18 UTC by David Riches
Modified: 2011-05-25 03:01 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-05-09 04:00:15 UTC


Attachments (Terms of Use)

Description David Riches 2011-04-17 10:18:09 UTC
Description of problem:

I stumbled across this bug when testing supybot-fedora. With the latest (updates-testing version of python-fedora (python-fedora-0.3.21-1.fc15.noarch) there is a failure when trying to access .group_members("foo"). Doesn't occur with the outgoing version.


Version-Release number of selected component (if applicable):

python-fedora-0.3.21-1.fc15.noarch


How reproducible:

every time, either through something that imports fedora.client.fas2 (such as supybot-fedora) or manually.


Steps to Reproduce:
1. open a python interpreter

from fedora.client.fas2 import AccountSystem

fasclient = AccountSystem("https://admin.fedoraproject.org/accounts/",username="{your user}", password="{password}")
fasclient.group_members("triagers")
  
Actual results:

>>> fasclient.group_members("triagers")
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/python2.7/site-packages/fedora/client/fas2.py", line 253, in group_members
    for user in request['people']]
TypeError: bunchify() got an unexpected keyword argument 'username'
>>> 


Expected results:

A list of group members for the group (triagers). Note if you yum downgrade python-fedora , the problem goes away

Additional info:

fpaste --sysinfo : http://fpaste.org/dH4R/

Comment 1 Toshio Ernie Kuratomi 2011-04-30 01:50:24 UTC
Thanks!  This is a bug in fas2.py.  I've committed a fix and I'm spinning a new release now.

Comment 2 Fedora Update System 2011-04-30 02:49:12 UTC
python-fedora-0.3.22-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-fedora-0.3.22-1.el5

Comment 3 Fedora Update System 2011-04-30 02:49:21 UTC
python-fedora-0.3.22-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-fedora-0.3.22-1.fc13

Comment 4 Fedora Update System 2011-04-30 02:49:28 UTC
python-fedora-0.3.22-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-fedora-0.3.22-1.fc15

Comment 5 Fedora Update System 2011-04-30 02:49:35 UTC
python-fedora-0.3.22-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fedora-0.3.22-1.el6

Comment 6 Fedora Update System 2011-04-30 02:49:43 UTC
python-fedora-0.3.22-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-fedora-0.3.22-1.fc14

Comment 7 Fedora Update System 2011-04-30 21:55:05 UTC
Package python-fedora-0.3.22-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-fedora-0.3.22-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/python-fedora-0.3.22-1.el5
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-04 02:10:20 UTC
python-fedora-0.3.23-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-fedora-0.3.23-1.fc14

Comment 9 Fedora Update System 2011-05-04 02:10:33 UTC
python-fedora-0.3.23-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python-fedora-0.3.23-1.el5

Comment 10 Fedora Update System 2011-05-04 02:10:45 UTC
python-fedora-0.3.23-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-fedora-0.3.23-1.el6

Comment 11 Fedora Update System 2011-05-04 02:11:24 UTC
python-fedora-0.3.23-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/python-fedora-0.3.23-1.fc15

Comment 12 Fedora Update System 2011-05-04 02:11:38 UTC
python-fedora-0.3.23-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-fedora-0.3.23-1.fc13

Comment 13 Fedora Update System 2011-05-09 04:00:04 UTC
python-fedora-0.3.23-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-05-20 17:54:20 UTC
python-fedora-0.3.23-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-05-20 17:56:03 UTC
python-fedora-0.3.23-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-05-25 02:32:34 UTC
python-fedora-0.3.23-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-05-25 03:01:31 UTC
python-fedora-0.3.23-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.